Subject: check 1915
From: "Patty and Mike Finan" <[email-masked]>
To: "Linda Wagner" <[email-masked]>, "Katy Parcells" <[email-masked]>
Date: Sun, 17 Sep 2006 21:56:17 -0400

Hi there,

I made out check 1915 to Molly Dando for $25, dated spt 16 to pay her for teaching the Writing Family History Class on the 13th. I will drop it by on my way to school in the morning.

I don't have any record of a deposit made on 8/25 but do have one on 7/25 - is that what you were looking for? 

Checks won't be cut for the tour guides until the end of the month - we talked about it after paying late at Labor Day - most would only have one day of work from last weekend anyway. 

I'll try and call on my way to school in the morning to see if Linda needed anything else.

Thanks!
Patty Finan
Huron City Museums
7995 Pioneer Drive
Port Austin MI 48467
989 738-6007